{
    "$schema": "http://adaptivecards.io/schemas/adaptive-card.json",
    "type": "AdaptiveCard",
    "version": "1.0",
    "msTeams": {
        "width": "full"
    },
    "fallbackText": "@{triggerBody()?['properties']?['displayName']}",
    "body": [
        {
            "type": "TextBlock",
            "text": "Azure Security Center Recommendation",
            "weight": "bolder",
            "size": "large",
            "id": "acTitle"
        },
        {
            "type": "TextBlock",
            "text": "@{triggerBody()?['properties']?['displayName']}",
            "weight": "Bolder",
            "wrap": true,
            "id": "acSubHeader"
        },
        {
            "type": "TextBlock",
            "text": "@{triggerBody()?['properties']?['metadata']?['description']}",
            "wrap": true,
            "id": "acDescriptionArea"                                               
        },
        {
            "type": "TextBlock",
            "text": "@{triggerBody()?['properties']?['metadata']?['remediationDescription']}",
            "wrap": true,
            "id": "acDescriptionArea"
        },
        {
            "type": "FactSet",
            "facts": [
                {
                    "title": "Severity:",
                    "value": "@{triggerBody()?['properties']?['metadata']?['severity']}"
                },
                {
                    "title": "Status:",
                    "value": "@{triggerBody()?['properties']?['status']?['description']}"
                },
                {
                    "title": "Source:",
                    "value": "@{triggerBody()?['properties']?['resourceDetails']?['source']}"
                },
                {
                    "title": "Id:",
                    "value": "@{triggerBody()?['properties']?['resourceDetails']?['id']}"
                }
            ],
            "id": "acFactSet"
        }
    ],
    "actions": [
      {
        "type": "Action.OpenUrl",
        "title": "See details in Azure Portal",
        "url": "@{triggerBody()?['properties']?['links']?['azurePortalUri']}"
      }
    ]
}